Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class AssignActivity

    java.lang.Object
      org.apache.ode.bpel.compiler.SourceLocation
          org.apache.ode.bpel.compiler.bom.BpelObject
              org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
                  org.apache.ode.bpel.compiler.bom.Activity
                      org.apache.ode.bpel.compiler.bom.AssignActivity

    public class AssignActivity

extends Activity

BOM representation of the BPEL `<assign>` activity. The `<assign>` activity is simply a collection of `<copy>` entries (`Copy`).

Nested Class Summary
`static interface` | `AssignActivity.AssignOperation` Marker interface for assign operations

Nested classes/interfaces inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`JoinFailureSuppressor.SuppressJoinFailure`

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`__suppressJoinFailure`

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`AssignActivity(org.w3c.dom.Element el)`

Method Summary
`java.util.List<Copy>` | `getCopies()` Get the list of `<copy>` entries for this activity.
`java.util.List<ExtensionAssignOperation>` | `getExtensionAssignOperations()` Get the list of `<extensionAssignOperation>` entries for this activity.
`java.util.List<AssignActivity.AssignOperation>` | `getOperations()` Get the list of all assign operation entries (`copy` and `extensionAssignOperation`) for this activity.

Methods inherited from class org.apache.ode.bpel.compiler.bom.Activity
`getJoinCondition, getLinkSources, getLinkTargets, getName`

Methods inherited from class org.apache.ode.bpel.compiler.bom.JoinFailureSuppressor
`getSuppressJoinFailure`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssignActivity

    public AssignActivity(org.w3c.dom.Element el)

Method Detail

### getCopies

    public java.util.List<Copy> getCopies()

  Get the list of `<copy>` entries for this activity.

  Returns:
    copy entries

### getExtensionAssignOperations

    public java.util.List<ExtensionAssignOperation> getExtensionAssignOperations()

  Get the list of `<extensionAssignOperation>` entries for this activity.

  Returns:
    extensionAssignOperation entries

### getOperations

    public java.util.List<AssignActivity.AssignOperation> getOperations()

  Get the list of all assign operation entries (`copy` and `extensionAssignOperation`) for this activity.

  Returns:
    assign operation entries

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD